Package org.eclipse.m2m.atl.adt.runner

# Class CreateRunnableJavaWriter

java.lang.Object
org.eclipse.m2m.atl.adt.runner.CreateRunnableJavaWriter

public class CreateRunnableJavaWriter extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static String`
`nl`
`final String`
`NL`
`protected final String`
`TEXT_1`
`protected final String`
`TEXT_10`
`protected final String`
`TEXT_11`
`protected final String`
`TEXT_12`
`protected final String`
`TEXT_13`
`protected final String`
`TEXT_14`
`protected final String`
`TEXT_15`
`protected final String`
`TEXT_16`
`protected final String`
`TEXT_17`
`protected final String`
`TEXT_18`
`protected final String`
`TEXT_19`
`protected final String`
`TEXT_2`
`protected final String`
`TEXT_20`
`protected final String`
`TEXT_21`
`protected final String`
`TEXT_22`
`protected final String`
`TEXT_23`
`protected final String`
`TEXT_24`
`protected final String`
`TEXT_25`
`protected final String`
`TEXT_26`
`protected final String`
`TEXT_27`
`protected final String`
`TEXT_28`
`protected final String`
`TEXT_29`
`protected final String`
`TEXT_3`
`protected final String`
`TEXT_30`
`protected final String`
`TEXT_31`
`protected final String`
`TEXT_32`
`protected final String`
`TEXT_33`
`protected final String`
`TEXT_34`
`protected final String`
`TEXT_35`
`protected final String`
`TEXT_36`
`protected final String`
`TEXT_37`
`protected final String`
`TEXT_38`
`protected final String`
`TEXT_39`
`protected final String`
`TEXT_4`
`protected final String`
`TEXT_40`
`protected final String`
`TEXT_41`
`protected final String`
`TEXT_42`
`protected final String`
`TEXT_43`
`protected final String`
`TEXT_44`
`protected final String`
`TEXT_45`
`protected final String`
`TEXT_46`
`protected final String`
`TEXT_47`
`protected final String`
`TEXT_48`
`protected final String`
`TEXT_49`
`protected final String`
`TEXT_5`
`protected final String`
`TEXT_50`
`protected final String`
`TEXT_51`
`protected final String`
`TEXT_52`
`protected final String`
`TEXT_53`
`protected final String`
`TEXT_54`
`protected final String`
`TEXT_55`
`protected final String`
`TEXT_56`
`protected final String`
`TEXT_57`
`protected final String`
`TEXT_58`
`protected final String`
`TEXT_59`
`protected final String`
`TEXT_6`
`protected final String`
`TEXT_60`
`protected final String`
`TEXT_61`
`protected final String`
`TEXT_62`
`protected final String`
`TEXT_63`
`protected final String`
`TEXT_64`
`protected final String`
`TEXT_65`
`protected final String`
`TEXT_66`
`protected final String`
`TEXT_67`
`protected final String`
`TEXT_68`
`protected final String`
`TEXT_69`
`protected final String`
`TEXT_7`
`protected final String`
`TEXT_70`
`protected final String`
`TEXT_71`
`protected final String`
`TEXT_72`
`protected final String`
`TEXT_73`
`protected final String`
`TEXT_74`
`protected final String`
`TEXT_75`
`protected final String`
`TEXT_76`
`protected final String`
`TEXT_77`
`protected final String`
`TEXT_78`
`protected final String`
`TEXT_79`
`protected final String`
`TEXT_8`
`protected final String`
`TEXT_80`
`protected final String`
`TEXT_81`
`protected final String`
`TEXT_82`
`protected final String`
`TEXT_83`
`protected final String`
`TEXT_84`
`protected final String`
`TEXT_85`
`protected final String`
`TEXT_86`
`protected final String`
`TEXT_87`
`protected final String`
`TEXT_88`
`protected final String`
`TEXT_89`
`protected final String`
`TEXT_9`

## Constructor Summary

Constructors
Constructor
Description
`CreateRunnableJavaWriter()`

## Method Summary

Modifier and Type
Method
Description
`static CreateRunnableJavaWriter`
`create(String lineSeparator)`
`String`
`generate(Object argument)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nl

protected static String nl

### NL

public final String NL

### TEXT_1

protected final String TEXT_1

### TEXT_2

protected final String TEXT_2

### TEXT_3

protected final String TEXT_3

### TEXT_4

protected final String TEXT_4

### TEXT_5

protected final String TEXT_5

### TEXT_6

protected final String TEXT_6

### TEXT_7

protected final String TEXT_7

### TEXT_8

protected final String TEXT_8

### TEXT_9

protected final String TEXT_9

### TEXT_10

protected final String TEXT_10

### TEXT_11

protected final String TEXT_11

### TEXT_12

protected final String TEXT_12

### TEXT_13

protected final String TEXT_13

### TEXT_14

protected final String TEXT_14

### TEXT_15

protected final String TEXT_15

### TEXT_16

protected final String TEXT_16

### TEXT_17

protected final String TEXT_17

### TEXT_18

protected final String TEXT_18

### TEXT_19

protected final String TEXT_19

### TEXT_20

protected final String TEXT_20

See Also:
  - Constant Field Values

### TEXT_21

protected final String TEXT_21

See Also:
  - Constant Field Values

### TEXT_22

protected final String TEXT_22

### TEXT_23

protected final String TEXT_23

### TEXT_24

protected final String TEXT_24

See Also:
  - Constant Field Values

### TEXT_25

protected final String TEXT_25

### TEXT_26

protected final String TEXT_26

See Also:
  - Constant Field Values

### TEXT_27

protected final String TEXT_27

See Also:
  - Constant Field Values

### TEXT_28

protected final String TEXT_28

See Also:
  - Constant Field Values

### TEXT_29

protected final String TEXT_29

### TEXT_30

protected final String TEXT_30

See Also:
  - Constant Field Values

### TEXT_31

protected final String TEXT_31

### TEXT_32

protected final String TEXT_32

See Also:
  - Constant Field Values

### TEXT_33

protected final String TEXT_33

### TEXT_34

protected final String TEXT_34

### TEXT_35

protected final String TEXT_35

### TEXT_36

protected final String TEXT_36

See Also:
  - Constant Field Values

### TEXT_37

protected final String TEXT_37

### TEXT_38

protected final String TEXT_38

### TEXT_39

protected final String TEXT_39

See Also:
  - Constant Field Values

### TEXT_40

protected final String TEXT_40

### TEXT_41

protected final String TEXT_41

See Also:
  - Constant Field Values

### TEXT_42

protected final String TEXT_42

See Also:
  - Constant Field Values

### TEXT_43

protected final String TEXT_43

### TEXT_44

protected final String TEXT_44

### TEXT_45

protected final String TEXT_45

### TEXT_46

protected final String TEXT_46

### TEXT_47

protected final String TEXT_47

### TEXT_48

protected final String TEXT_48

See Also:
  - Constant Field Values

### TEXT_49

protected final String TEXT_49

### TEXT_50

protected final String TEXT_50

See Also:
  - Constant Field Values

### TEXT_51

protected final String TEXT_51

See Also:
  - Constant Field Values

### TEXT_52

protected final String TEXT_52

### TEXT_53

protected final String TEXT_53

### TEXT_54

protected final String TEXT_54

See Also:
  - Constant Field Values

### TEXT_55

protected final String TEXT_55

### TEXT_56

protected final String TEXT_56

### TEXT_57

protected final String TEXT_57

See Also:
  - Constant Field Values

### TEXT_58

protected final String TEXT_58

See Also:
  - Constant Field Values

### TEXT_59

protected final String TEXT_59

### TEXT_60

protected final String TEXT_60

See Also:
  - Constant Field Values

### TEXT_61

protected final String TEXT_61

### TEXT_62

protected final String TEXT_62

See Also:
  - Constant Field Values

### TEXT_63

protected final String TEXT_63

See Also:
  - Constant Field Values

### TEXT_64

protected final String TEXT_64

See Also:
  - Constant Field Values

### TEXT_65

protected final String TEXT_65

### TEXT_66

protected final String TEXT_66

### TEXT_67

protected final String TEXT_67

### TEXT_68

protected final String TEXT_68

### TEXT_69

protected final String TEXT_69

### TEXT_70

protected final String TEXT_70

### TEXT_71

protected final String TEXT_71

### TEXT_72

protected final String TEXT_72

### TEXT_73

protected final String TEXT_73

See Also:
  - Constant Field Values

### TEXT_74

protected final String TEXT_74

See Also:
  - Constant Field Values

### TEXT_75

protected final String TEXT_75

See Also:
  - Constant Field Values

### TEXT_76

protected final String TEXT_76

### TEXT_77

protected final String TEXT_77

### TEXT_78

protected final String TEXT_78

### TEXT_79

protected final String TEXT_79

### TEXT_80

protected final String TEXT_80

See Also:
  - Constant Field Values

### TEXT_81

protected final String TEXT_81

### TEXT_82

protected final String TEXT_82

### TEXT_83

protected final String TEXT_83

### TEXT_84

protected final String TEXT_84

### TEXT_85

protected final String TEXT_85

### TEXT_86

protected final String TEXT_86

### TEXT_87

protected final String TEXT_87

### TEXT_88

protected final String TEXT_88

### TEXT_89

protected final String TEXT_89

## Constructor Details

### CreateRunnableJavaWriter

public CreateRunnableJavaWriter()

## Method Details

### create

public static CreateRunnableJavaWriter create(String lineSeparator)

### generate

public String generate(Object argument)